Fatal Error During cPanel Install - AWS

jacobpslagle

Registered
Nov 1, 2016
1
0
1
PA, USA
cPanel Access Level
Website Owner
So I keep getting this error when I try to run the cPanel installer. I have does a few good hours of troubleshooting and research on the internet and since I still have not come up with anything I have decided to make a post on the cPanel forums. I appreciate any help with this problem.

(The server I am installing cPanel on is hosted in AWS)

Code:
[2016-11-01 13:54:17 -0400] E The install encountered an error: Cannot proceed. Needed system RPMs were not installed.
2016-11-01 13:54:17  831 (DEBUG):   The installation process detected a failed synchronization. The system will reattempt the synchronization with the updatenow             .static file...
2016-11-01 13:54:17  815 ( INFO): Closing the installation log and passing output control to the updatenow.static file...
YAML::Syck is not available (attempting to ignore). at ./updatenow.static line 11721.
JSON::XS is not available (attempting to ignore). at ./updatenow.static line 18226.
[2016-11-01 13:54:18 -0400]   Running version '11.58.0.32' of updatenow.
[2016-11-01 13:54:18 -0400]   --force passed on command line. Upgrade will disregard update config settings.
[2016-11-01 13:54:18 -0400]   Using mirror '208.43.108.66' for host 'httpupdate.cpanel.net'.
[2016-11-01 13:54:18 -0400]   Successfully verified signature for cpanel (key types: release).
[2016-11-01 13:54:18 -0400]   Target version set to '11.58.0.32'
[2016-11-01 13:54:18 -0400]   Initial cPanel installation detected as in progress.
[2016-11-01 13:54:18 -0400]   Checking license
[2016-11-01 13:54:18 -0400]   Installation in progress. Skipping license check.
[2016-11-01 13:54:18 -0400]   Checking that the RPM DB is OK...
[2016-11-01 13:54:18 -0400]   glibc-2.17-106.el7_2.8.x86_64
[2016-11-01 13:54:18 -0400]   OK: RPM DB is responding to queries
[2016-11-01 13:54:18 -0400]   Testing if rpm_is_working RPM is installed
[2016-11-01 13:54:18 -0400]   package rpm_is_working is not installed
[2016-11-01 13:54:18 -0400]   Switching to version '11.58.0.32' of updatenow to perform sync.
[2016-11-01 13:54:18 -0400]   checkyum version 22.3
[2016-11-01 13:54:19 -0400]   checkyum version 22.3
[2016-11-01 13:54:19 -0400]   Loaded plugins: amazon-id, rhui-lb, search-disabled-repos
[2016-11-01 13:54:20 -0400]   No package bind-devel available.
[2016-11-01 13:54:20 -0400]   No package compat-db available.
[2016-11-01 13:54:20 -0400]   No package gamin-devel available.
[2016-11-01 13:54:20 -0400]   No package gd-devel available.
[2016-11-01 13:54:21 -0400]   No package gd-progs available.
[2016-11-01 13:54:21 -0400]   No package glibc-static available.
[2016-11-01 13:54:21 -0400]   No package libidn-devel available.
[2016-11-01 13:54:21 -0400]   No package libmount-devel available.
[2016-11-01 13:54:21 -0400]   No package lynx available.
[2016-11-01 13:54:21 -0400]   No package python-tools available.
[2016-11-01 13:54:21 -0400]   No package quota-devel available.
[2016-11-01 13:54:21 -0400]   No package sharutils available.
[2016-11-01 13:54:21 -0400]   No package tclx available.
[2016-11-01 13:54:21 -0400]   No package tix available.
[2016-11-01 13:54:21 -0400]   No package tkinter available.
[2016-11-01 13:54:21 -0400] E Error: Nothing to do
info [updatenow] No such locale as 'en'
[2016-11-01 13:54:21 -0400] E Failed to init Cpanel::ExceptionMessage::Raw: Can't locate Cpanel/ExceptionMessage/Raw.pm in @INC (@INC contains: /usr/local/cpane             l /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at (eval 27) line 1             .
[2016-11-01 13:54:21 -0400]   checkyum version 22.3
[2016-11-01 13:54:23 -0400] E Sysup: Needed system RPMs were not installed: bind-devel, compat-db, gamin-devel, gd-devel, gd-progs, glibc-static, libidn-devel,              libmount-devel, lynx, python-tools, quota-devel, sharutils, tclx, tix, tkinter
info [updatenow] sysup:: Notification => [email protected]***** via EMAIL [eventimportance => High (1)]
warn [updatenow] Failed to send notification of type “EMAIL”: Failed to init Cpanel::ExceptionMessage::Raw: Can't locate Cpanel/ExceptionMessage/Raw.pm in @INC              (@INC contains: /usr/local/cpanel /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/             share/perl5) at (eval 33) line 1.

[2016-11-01 13:54:23 -0400] ***** FATAL: Cannot proceed. Needed system RPMs were not installed.
[2016-11-01 13:54:23 -0400]   The Administrator will be notified to review this output when this script completes
[2016-11-01 13:54:23 -0400] E Detected events which require user notification during updatenow. Will send iContact the log
info [updatenow] upcp:: Notification => [email protected]***** via EMAIL [eventimportance => High (1)]
warn [updatenow] Failed to send notification of type “EMAIL”: Failed to init Cpanel::ExceptionMessage::Raw: Can't locate Cpanel/ExceptionMessage/Raw.pm in @INC              (@INC contains: /usr/local/cpanel /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/             share/perl5) at (eval 39) line 1.


There were errors when running updatenow:



[2016-11-01 13:54:23 -0400] E The install encountered an error: Cannot proceed. Needed system RPMs were not installed.
2016-11-01 13:54:23  831 (DEBUG):   The installation process detected a failed synchronization. The system will reattempt the synchronization with the updatenow             .static file...
2016-11-01 13:54:23  837 (FATAL): The installation process was unable to synchronize cPanel & WHM. Verify that your network can connect to httpupdate.cpanel.net              and rerun the installer.
Removing /root/installer.lock.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,218
463